﻿using System;

namespace SwyishChess.Domain.Piece
{
    public interface IDiagonallyMovable
    {
        /* DIAGONAL THAT RUNS FROM TOP LEFT TO BOTTOM RIGHT */
        int[,] GetPossibleMainDiagonalMoves();
        /* DIAGONAL THAT RUNS FROM TOP RIGHT TO THE BOTTOM LEFT */
        int[,] GetPossibleMinorDiagonalMoves();
    }
}
