﻿namespace SwyishChess.Domain.Player
{
    public abstract class Player
    {
        /// <summary>
        /// Player ID
        /// </summary>
        public int PlayerId { get; set; }
        /// <summary>
        /// Player Color
        /// </summary>
        public Color PlayerColor { get; set; }
        /// <summary>
        /// Represents how many possible moves are left for the player 
        /// </summary>
        public int PossibleMovesLeft { get; set; }
        /// <summary>
        /// Indicates whether current player was declared check or not
        /// </summary>
        public bool IsChecked { get; set; }
    }
}
